
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_PRIVATE_WORLD_CLASS_H
#define PG_PRIVATE_WORLD_CLASS_H

#include "runtime/ObjWorld.h"

class PrivWorld: public ObjWorld {
	public:
		static int TheWss; // all local private worlds

	public:
		PrivWorld() {}
		PrivWorld(const UniqId &anId);
		void produce(ObjId &oid, RndGen &rng);
};

#endif
