
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_WORKING_SET_SIZE_FREEZER_H
#define PG_WORKING_SET_SIZE_FREEZER_H

// base class for various objects that freeze working set size
class WssFreezer {
	public:
		virtual ~WssFreezer() {}
		virtual void start();

	protected:
		void startFill();
		void startFreeze();

		virtual void printGoal(ostream &os) const = 0;

	private:
		static int TheStartCount;
};

#endif
