
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_SESSION_STATS_H
#define PG_SESSION_STATS_H

#include "runtime/Goal.h"

class SessionStats: public GoalSubj {
	public:
		SessionStats();

		void restart();

		// finalize GoalSubj interface
		virtual Time duration() const;
		virtual int xactCnt() const;
		virtual BigSize fillSz() const;
		virtual int fillCnt() const;
		virtual int xactErrCnt() const;

	public:
		Time theStart;
		int theXactCnt;
		BigSize theFillSz;
		int theFillCnt;
		int theXactErrCnt;
};

#endif
