
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_CDB_BODY_ITERATOR_H
#define PG_CDB_BODY_ITERATOR_H

#include "csm/BodyIter.h"

class ContentDbase;
class InjectIter;

class CdbBodyIter: public BodyIter {
	public:
		CdbBodyIter();

		virtual void reset();

		virtual void configure(WrBuf *aBuf, Size aContSize);
		virtual void stop();

		void cdb(ContentDbase *aCdb);
		void injector(InjectIter *anInjector);

		virtual void pour();

	protected:
		ContentDbase *theCdb;    // the source of content body
		InjectIter *theInjector; // inserts foreign content if configured
		int thePos;              // current position in the content database
};

#endif
