
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_NOTIFIER_H
#define PG_NOTIFIER_H

#include "xstd/String.h"
#include "xstd/NetAddr.h"
#include "xstd/Socket.h"

class StatIntvlRec;

class Notifier {
	public:
		Notifier(const String &aLabel, const NetAddr &anAddr);
		~Notifier();

		bool active() const;

		void noteStats(const StatIntvlRec &s, int logCat);

	protected:
		String theLabel;
		NetAddr theAddr;
		Socket theSock;
};

#endif
